// DlgBrushRegisterModify.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "DlgBrushRegisterModify.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCDlgBrushRegisterModify _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCDlgBrushRegisterModify::CFCDlgBrushRegisterModify
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	
 *
 * <_xZkqqHx_iIpIjAjE_xHqqkZx_>	
 *
 * <_xZkqqHx_jFnEjCgM_xHqqkZx_>	
 *
 * <_xZkqqHx_iPnKiNnH_xHqqkZx_>	
 *
 * <_xZkqqHx_jCiNiInD_xHqqkZx_>	
 *
 * <_xZkqqHx_iJpAjAoA_xHqqkZx_>	
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	03.06.24 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
CFCDlgBrushRegisterModify::CFCDlgBrushRegisterModify (CWnd* pParent /*=NULL*/)
	: BASE_CLASS(CFCDlgBrushRegisterModify::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFCDlgBrushRegisterModify)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT
} // CFCDlgBrushRegisterModify::CFCDlgBrushRegisterModify.

void CFCDlgBrushRegisterModify::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCDlgBrushRegisterModify)
	DDX_Control(pDX, IDC_RBM_STL_BRUSH_SAMPLE, m_stbBrushSample);
	DDX_Control(pDX, IDC_RBM_CBB_BRUSH_FORE_S_COLOR, m_cbbBrushForeSColor);
	DDX_Control(pDX, IDC_RBM_CBB_BRUSH_PATTERN, m_cbbBrushPattern);
	DDX_Control(pDX, IDC_RBM_CBB_BRUSH_BACK_S_COLOR, m_cbbBrushBackSColor);
	//}}AFX_DATA_MAP
} // CFCDlgBrushRegisterModify::DoDataExchange.

BEGIN_MESSAGE_MAP(CFCDlgBrushRegisterModify, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCDlgBrushRegisterModify)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_BN_CLICKED(IDC_RBM_BTN_BRUSH_BACK_S_COLOR, OnRbmBtnBrushBackSColor)
	ON_BN_CLICKED(IDC_RBM_BTN_BRUSH_FORE_S_COLOR, OnRbmBtnBrushForeSColor)
	ON_WM_CTLCOLOR()
	ON_EN_CHANGE(IDC_RBM_EDT_BRUSH_REGISTER_NAME, OnChangeRbmEdtBrushRegisterName)
	//}}AFX_MSG_MAP
	ON_CONTROL(CBBN_SELCHANGE, IDC_RBM_CBB_BRUSH_BACK_S_COLOR, OnSelchangeRbmCbbBrushBackSColor)
	ON_CONTROL(CBBN_SELCHANGE, IDC_RBM_CBB_BRUSH_PATTERN, OnSelchangeRbmCbbBrushPattern)
	ON_CONTROL(CBBN_SELCHANGE, IDC_RBM_CBB_BRUSH_FORE_S_COLOR, OnSelchangeRbmCbbBrushForeSColor)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCDlgBrushRegisterModify _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

